Bug 853745 - [abrt] firefox-14.0.1-1.fc16: g_slice_alloc: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-14.0.1-1.fc16: g_slice_alloc: Process /usr/lib64/firefox/firef...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
abrt_hash:b11591200d3293655ec87489e0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 11:10 EDT by hitman2
Modified: 2013-02-13 10:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:02:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (48.17 KB, text/plain)
2012-09-02 11:10 EDT, hitman2
no flags Details
File: build_ids (19.26 KB, text/plain)
2012-09-02 11:10 EDT, hitman2
no flags Details
File: backtrace (233.86 KB, text/plain)
2012-09-02 11:10 EDT, hitman2
no flags Details
File: maps (225.81 KB, text/plain)
2012-09-02 11:10 EDT, hitman2
no flags Details

  None (edit)
Description hitman2 2012-09-02 11:10:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: g_slice_alloc
executable:     /usr/lib64/firefox/firefox
kernel:         3.4.9-2.fc16.x86_64
pid:            2336
pwd:            /home/Hitman2/Documents
time:           Sun 02 Sep 2012 04:08:51 PM WEST
uid:            1000
username:       Hitman2
xsession_errors: 

backtrace:      Text file, 239470 bytes
build_ids:      Text file, 19723 bytes
dso_list:       Text file, 49331 bytes
maps:           Text file, 231228 bytes

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1223
:KDE_MULTIHEAD=false
:HOSTNAME=Hitman2
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:DESKTOP_STARTUP_ID=Hitman2;1346598492;587616;1340_TIME1950675
:HISTSIZE=1000
:XDG_SESSION_COOKIE=14711e1a8c9e6a609ddc9d690000000d-1346596570.944552-1996215588
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/Hitman2/.gtkrc-2.0:/home/Hitman2/.gtkrc-2.0-kde4:/home/Hitman2/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/Hitman2/.gtkrc:/home/Hitman2/.kde/share/config/gtkrc
:KDE_FULL_SESSION=true
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:USER=Hitman2
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:SSH_AUTH_SOCK=/tmp/ssh-fICLBQDw1191/agent.1191
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1283,unix/unix:/tmp/.ICE-unix/1283
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:MAIL=/var/spool/mail/Hitman2
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/Hitman2/.local/bin:/home/Hitman2/bin
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:PWD=/home/Hitman2/Documents
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:XSUNSMESIZE=512
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/Hitman2
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=Hitman2
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZuYgM9sCZP,guid=92b290ac593e9fbe254863740000001d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Hitman2
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/Hitman2/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-Hitman2/xauth-1000-_0

smolt_data:
:
:
:General
:=================================
:UUID: 87bb44d5-ad71-474b-a2e4-b2bc1311377d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.30
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E7200  @ 2.53GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2526
:System Memory: 2003
:System Swap: 4031
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.4.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4358:13170:6217:13170) pci, None, PCI/ISA, VT8237S PCI to ISA Bridge
:(4358:12548:6217:12548) pci, ehci_hcd, USB, K7VT6 motherboard
:(4358:12344:6217:12344) pci, uhci_hcd, USB, K7VT6
:(4358:12344:6217:12344) pci, uhci_hcd, USB, K7VT6
:(4358:12344:6217:12344) pci, uhci_hcd, USB, K7VT6
:(4358:12344:6217:12344) pci, uhci_hcd, USB, K7VT6
:(4358:8968:6217:8968) pci, None, HOST/PCI, PT894 Host Bridge
:(4358:12808:0:0) pci, None, HOST/PCI, PT890 Host Bridge
:(4358:776:6217:776) pci, agpgart-via, HOST/PCI, PT880 Ultra/PT894 Host Bridge
:(4358:4872:6217:4872) pci, None, HOST/PCI, PT894 Host Bridge
:(4358:29448:0:0) pci, None, HOST/PCI, PT894 Host Bridge
:(4358:17160:6217:17160) pci, None, HOST/PCI, PT894 Host Bridge
:(4358:45464:0:0) pci, None, PCI/PCI, VT8237/VX700 PCI Bridge
:(4358:10366:4358:13182) pci, None, HOST/PCI, VT8251 Ultra VLINK Controller
:(4098:38296:6023:8788) pci, radeon, VIDEO, Mobility Radeon HD 3600 Series
:(4098:43552:6023:43552) pci, snd_hda_intel, MULTIMEDIA, RV635 Audio device [Radeon HD 3600 Series]
:(4358:21256:6217:21256) pci, None, BASE, PT894 I/O APIC Interrupt Controller
:(4354:4:4354:82) pci, snd_emu10k1, MULTIMEDIA_AUDIO, SB Audigy
:(4354:28675:4354:64) pci, Emu10k1_gameport, INPUT, SB Audigy Game Port
:(4358:41480:0:0) pci, pcieport, PCI/PCI, PT890 PCI to PCI Bridge Controller
:(4358:13179:0:0) pci, None, HOST/PCI, VT8237A Host Bridge
:(4358:13178:6217:13178) pci, None, PCI/PCI, VT8237A PCI to PCI Bridge
:(4358:12389:6217:12389) pci, via-rhine, ETHERNET, K7VT6 motherboard
:(4358:21362:6217:21362) pci, sata_via, STORAGE, N/A
:(4358:1393:6217:1393) pci, pata_via, STORAGE, K7VT2/K7VT6 motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hitman2-lv_root / ext4 4096 4096 12901535 10920519 10789485 3276800 3113487 3113487
:/dev/sda2 /boot ext4 1024 1024 495844 433677 408077 128016 127743 127743
:/dev/mapper/vg_hitman2-lv_home /home ext4 4096 4096 226308870 226146941 214651108 57483264 57482646 57482646
:

var_log_messages:
:Sep  2 08:35:15 Hitman2 yum[1571]: Installed: firefox-14.0.1-1.fc16.x86_64
:Sep  2 15:38:13 Hitman2 abrt[1557]: Saved core dump of pid 1502 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-09-02-15:38:10-1502 (296136704 bytes)
:Sep  2 15:57:08 Hitman2 abrt[1777]: Saved core dump of pid 1729 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-09-02-15:57:05-1729 (304214016 bytes)
:Sep  2 16:04:05 Hitman2 abrt[2147]: Saved core dump of pid 2100 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-09-02-16:04:02-2100 (285818880 bytes)
:Sep  2 16:08:54 Hitman2 abrt[2380]: Saved core dump of pid 2336 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-09-02-16:08:51-2336 (272998400 bytes)
Comment 1 hitman2 2012-09-02 11:10:48 EDT
Created attachment 609116 [details]
File: dso_list
Comment 2 hitman2 2012-09-02 11:10:50 EDT
Created attachment 609117 [details]
File: build_ids
Comment 3 hitman2 2012-09-02 11:10:54 EDT
Created attachment 609118 [details]
File: backtrace
Comment 4 hitman2 2012-09-02 11:10:58 EDT
Created attachment 609119 [details]
File: maps
Comment 5 Jan Horak 2012-09-10 09:50:41 EDT
Thanks for bugreport. Could you reproduce it somehow? It looks like problem with GTK widgets.

Did this happen after update of Firefox packages without restarting Firefox?
Comment 7 roger griffiths 2012-09-15 15:59:11 EDT
I receive this error almost every time I quit firefox. This occurs on each of the three machines I use (one I manage). About half the time the only way I can get firefox to fire up is to determine the PID and run kill -9 PID (kill with signal 15 will not kill the processes).

This is the only application that exhibits this behavior on any of the afore mentioned machines.

I always get this message, when I attempt to submit the bug:
This problem has already been reported.
  https://retrace.fedoraproject.org/faf/reports/2144/
  https://bugzilla.redhat.com/show_bug.cgi?id=770324

Which is a closed bug and is firefox 9 on Fedora 16.
My information - if needed
General
:=================================
:UUID: a1f21d8fbdbdeb73be1d4e55fb8ee41dc1733ee5
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.30
:Number of CPUs: 4
:CPU Speed: 2526
:System Memory: 8000
:System Swap: 2000
:Kernel: 3.5.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing

DESKTOP_SESSION=xfce
Comment 8 Fedora End Of Life 2013-01-16 09:03:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 10:02:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.